<?php
require_once '../../maincore.php';
if (file_exists(INFUSIONS."tube_calendar_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."tube_calendar_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."tube_calendar_panel/locale/Russian.php";
}
include INFUSIONS."fusion_tube/infusion_db.php";
if (isset($_POST['get_month'])) {

    $month = $_POST['month'];
    $year = $_POST['year'];

    if ($month == 0) $month = date('n');
    if ($year == 0) $year = date('Y');

    $weeks = get_month($month,$year);
    $news = get_news($month,$year);

    $next_month = $month == 12 ? 1 : $month+1;
    $prev_month = $month == 1 ? 12 : $month-1;
    $next_year = $next_month == 1 ? $year+1 : $year;
    $prev_year = $prev_month == 12 ? $year-1 : $year;

    $html = '';

    $html .= "<table width='100%'>";
    $html .= "<tr>";
    $html .= "<td><a href='#' class='alnc-prev-month' data-month='".$prev_month."' data-year='".$prev_year."'>&laquo;</a></td>";
    $html .= "<td colspan='5' align='center'>".$locale['alnc_m_'.($month == 0 ? date('n') : $month)]." ".$year."</td>";
    $html .= "<td><a href='#' class='alnc-next-month' data-month='".$next_month."' data-year='".$next_year."'>&raquo;</a></td>";
    $html .= "</tr>";

    foreach ($weeks as $week) {
        $html .= "<tr valign='top'>";
        $i = 1;
        foreach ($week as $day) {

            $html .= "<td>";
            if (!empty($day)) {
                if (isset($news[$day])) {
                    $html .= "<a href='".$settings['siteurl']."tube_calendar.php?m=".$month."&d=".$day."&y=".$year."'>".$day."</a>";
                } else {
                    $html .= "<span>".$day."</span>";
                }
            }

            $html .= "</td>";
            $i++;
        }
        $html .= "</tr>";
    }
    $html .= "</table>";

    header('Content-type: application/json');
    echo json_encode(array('html'=>$html));
    die;

}

function get_month($month = 0, $year = 0) {

    if ($month == 0) $month = date('m');
    if ($year == 0) $year = date('Y');
    $dayofmonth = date('t',mktime(0,0,0,$month,1,$year));
    $day_count = 1;
    $num = 0;
    for($i = 0; $i < 7; $i++) {
        $dayofweek = date('w', mktime(0, 0, 0, $month, $day_count, $year));
        $dayofweek = $dayofweek - 1;
        if($dayofweek == -1) $dayofweek = 6;

        if($dayofweek == $i) {
            $week[$num][$i] = $day_count;
            $day_count++;
        }
        else {
            $week[$num][$i] = "";
        }
    }

    while(true) {
        $num++;
        for($i = 0; $i < 7; $i++) {
            if($day_count > $dayofmonth) {
                $week[$num][$i] = "";
            } else {
                $week[$num][$i] = $day_count;
            }
            $day_count++;
        }
        if($day_count > $dayofmonth) break;
    }
    return $week;

}

function get_news($month,$year) {

    $date_start = mktime(0,0,0,$month,1,$year);
    $date_end = mktime(0,0,0,$month,date('t',$date_start),$year);

    $response = array();
    $news_result = dbquery("SELECT * FROM ".DB_VIDEOS." WHERE video_datestamp>='".$date_start."' AND video_datestamp<'".$date_end."'");
    if (dbrows($news_result)) {
        while($news = dbarray($news_result)) {
            $key = date('j',$news['video_datestamp']);
            $response[$key][] = $news;
        }
    }
    return $response;

}